[general]

[general:de]

[changes]

##### v2.5.155 (November 12, 2013)
* Text clipping will now be only active if the filter 'Invisible Elements' is in use.

##### v2.5.130 (October 18, 2013)
* Solid red boxes has been displayed over images in the PDF file.

##### v2.5.64 (August 13, 2013)
* Java and .Net edition of i-net PDFC installed with the same setup.

##### v2.5.7 (June 17, 2013)
* new **text filter** which accepts plain text and regular expressions to exclude certain text from the comparison
* major performance improvements for the internal and GUI rendering process
* report can now be generated with the command line tool as well
* GUI: cycle through differences the with left and right cursor keys
* improved scrolling, doesn't jump when zooming anymore
* the gui now logs to a file

##### v2.2.14 (April 15, 2013)
* Performance optimization in parser.
* Improvements in memory usage to prevent OutOfMemory errors.
* It is now supported to scroll with the left and rigth key through the differences.
* The GUI executable now accepts two parameters which will preset the first and second file of the GUI.
* CheckBoxes in PDF files are now compared.
* `UnsupportedOperationException`: ps command dup
* `RuntimeException`: invalid reference: null
* `IllegalArgumentException`: Unknown encoding: SymbolSetEncoding
* `ArrayIndexOutOfBoundsException`
* `BufferUnderflowException`
* `PDFParseException`: Data format exception:incorrect header check

##### v2.1.38 (January 18, 2013)
* Comparison report was improved

##### v2.1.7 (December 18, 2012)
* EXPORT of a comparison report as PDF
* API class IDifference has a new type "TYPE_STYLE_MODIFIED" to get the distinguish between content and style modifications
* `NullPointerException` in PDFFontEncoding occurred
* PDF parser improvements for:
* type 6 and 7 shaders are now supported
* support for embedded CIDMaps
* unicode mapping to character arrays
* improved support of CMYK colors

##### v2.0.161 (November 09, 2012)
* Command line parameter -generateinfo added

##### v2.0.143 (October 22, 2012)
* Optimization of the Multi-Column filter for single column scenarios - produces less columns boxes
* Image comparison for images with different internal resolution is now possible

##### v2.0 (August 27, 2012)
* Streamlined licensing process, include offline mode
* Invisible elements filter
* Performance optimization in parser and result view
* Several bug fixes to conform strict and loose compare mode

##### v2.0 Beta (July 31, 2012)
* Entirely new continuous comparison engine to find modifications in large documents. This engine focuses on content changes rather than on exact location of each element. It's configurable by several new configuration properties.
* Whole new comparison GUI for both comparison modes.
* New result visualizations in the GUI for both modes
* Visual configuration
* Support for PDF form elements added
* New paged mode normalizer 'HEADER_FOOTER' to exclude fixed header and footer areas
* New module property 'COMPARE_TEXT_STYLES' to compare the text styles as well
* New module property 'TEXT_ALIGN_RATIO' to better compensate alignment differences due to different PDF generators
* New values for the 'CREATE_DIFFIMAGES' property to create only images for the left or right page
* Support for Colored Tiling Patterns added

[changes:de]

##### v2.5.155 (12. November 2013)
* Die Textbeschneidung ist jetzt nur noch aktiv, wenn der Filter 'Unsichtbare Elemente' verwendet wird.

##### v2.5.130 (18. Oktober 2013)
* Über Bildern in der PDF-Datei werden nun durchgehende rote Rahmen angezeigt.

##### v2.5.64 (13. August 2013)
* Java und .Net Edition von i-net PDFC werden mit demselben Setup installiert.

##### v2.5.7 (17. Juni 2013)
* neuer **Textfilter**, der Klartext und reguläre Ausdrücke akzeptiert, um bestimmte Texte vom Vergleich auszuschließen
* wesentliche Leistungsverbesserungen für den internen und den GUI-Rendering-Prozess
* Bericht kann nun auch mit dem Kommandozeilen-Tool erstellt werden
* GUI: Durchlaufen der Unterschiede mit den Cursortasten links und rechts
* verbessertes Scrolling, springt nicht mehr beim Zoomen
* die GUI protokolliert jetzt in einer Datei

##### v2.2.14 (15. April 2013)
* Leistungsoptimierung im Parser.
* Verbesserungen bei der Speichernutzung, um OutOfMemory-Fehler zu vermeiden.
* Es wird nun unterstützt, mit der linken und rechten Taste durch die Unterschiede zu blättern.
* Die ausführbare GUI akzeptiert nun zwei Parameter, die die erste und zweite Datei der GUI voreinstellen.
* CheckBoxen in PDF-Dateien werden nun verglichen.
* `UnsupportedOperationException`: ps-Befehl dup
* `RuntimeException`: Ungültige Referenz: null
* `IllegalArgumentException`: Unbekannte Kodierung: SymbolSetEncoding
* `ArrayIndexOutOfBoundsException`
* `BufferUnderflowException`
* `PDFParseException`: Datenformat-Ausnahme: Falsche Header-Prüfung

##### v2.1.38 (18. Januar 2013)
* Vergleichsbericht wurde verbessert

##### v2.1.7 (18. Dezember 2012)
* EXPORT eines Vergleichsberichts als PDF
* API-Klasse IDifference hat einen neuen Typ "TYPE_STYLE_MODIFIED", um die Unterscheidung zwischen Inhalts- und Stiländerungen zu erhalten
* `NullPointerException` in PDFFontEncoding aufgetreten
* PDF-Parser Verbesserungen für:
* Shader vom Typ 6 und 7 werden jetzt unterstützt
* Unterstützung für eingebettete CIDMaps
* Unicode-Zuordnung zu Zeichenarrays
* verbesserte Unterstützung von CMYK-Farben

##### v2.0.161 (November 09, 2012)
* Kommandozeilenparameter -generateinfo hinzugefügt

##### v2.0.143 (Oktober 22, 2012)
* Optimierung des Mehrspaltenfilters für einspaltige Szenarien - erzeugt weniger Spaltenboxen
* Bildvergleich für Bilder mit unterschiedlicher interner Auflösung ist nun möglich

##### v2.0 (27. August 2012)
* Vereinfachter Lizenzierungsprozess, einschließlich Offline-Modus
* Filter für unsichtbare Elemente
* Leistungsoptimierung im Parser und in der Ergebnisansicht
* Mehrere Fehlerkorrekturen zur Anpassung an den strengen und losen Vergleichsmodus

##### v2.0 Beta (Juli 31, 2012)
* Völlig neue kontinuierliche Vergleichs-Engine zum Auffinden von Änderungen in großen Dokumenten. Diese Engine konzentriert sich auf inhaltliche Änderungen und nicht auf die genaue Position der einzelnen Elemente. Sie ist durch mehrere neue Konfigurationseigenschaften konfigurierbar.
* Völlig neue Vergleichs-GUI für beide Vergleichsmodi.
* Neue Ergebnisvisualisierungen in der GUI für beide Modi
* Visuelle Konfiguration
* Unterstützung für PDF-Formularelemente hinzugefügt
* Neuer Seitenmodus-Normalisierer 'HEADER_FOOTER' zum Ausschluss fester Kopf- und Fußzeilenbereiche
* Neue Moduleigenschaft 'COMPARE_TEXT_STYLES', um auch die Textstile zu vergleichen
* Neue Moduleigenschaft 'TEXT_ALIGN_RATIO', um Ausrichtungsunterschiede durch unterschiedliche PDF-Generatoren besser auszugleichen
* Neue Werte für die Eigenschaft 'CREATE_DIFFIMAGES', um nur Bilder für die linke oder rechte Seite zu erzeugen
* Unterstützung für farbige Kachelmuster hinzugefügt

[bugfixes]

##### v2.5.155 (November 12, 2013)
* Decryption of PDF files with user permissions access is extended to standard encryption filters with revision 4 and version 4. `IllegalArgumentException`: Parsen of encrypted pdf files is not supported occurred in this case.

##### v2.5.135 (October 23, 2013)
* `IllegalArgumentException`: Unknown encoding: StandardEncoding occurred.

##### v2.5.130 (October 18, 2013)
* `UnsupportedOperationException`: ps command: add

##### v2.5.113 (October 01, 2013)
* `"PDFParseException`: Unsupported shader type: 4" occurred.

##### v2.5.98 (September 16, 2013)
* UnsupportedClassVersionError occurred if Java API or command line version was used with Java 6.

##### v2.5.92 (September 10, 2013)
* 'Illegal Capacity' exception occurred randomly for pages with a large amount of lines.

##### v2.5.78 (August 27, 2013)
* CompareTwoFilesWithCustomHandler - Differences directory was deleted after comparison.
* `NullPointerException` occurred, if a required value in the font description was missing.

##### v2.5.64 (August 13, 2013)
* `java.awt.color.CMMException`: Invalid profile data occurred.
* Difference description contains wrong page number if there is a text replacement with equal bounds but on different pages.
* File name in the difference summary on the console was limited.
* Text concatenation error occurred sometimes near punctuation marks. 

##### v2.5.7 (June 17, 2013)
* several fixes for embedded font, especially Type1C

##### v2.2.14 (April 15, 2013)
* Following exceptions fixed:
  * `UnsupportedOperationException`: ps command dup
  * `RuntimeException`: invalid reference: null
  * `IllegalArgumentException`: Unknown encoding: SymbolSetEncoding
  * `ArrayIndexOutOfBoundsException`
  * `BufferUnderflowException`
  * `PDFParseException`: Data format exception:incorrect header check
* It was not possible to compare PDF files on the command line using runPDFC.bat
* Scrolling behavior in the GUI was wrong if the compared PDF files had different lengths.

##### v2.1.38 (January 18, 2013)
* `PDFParseException`: Unknown command: Qq
* Differences in watermark of PDF files were not highlighted
* Various bugs in the GUI were fixed

##### v2.1.7 (December 18, 2012)
* `NullPointerException` in PDFFontEncoding occurred

##### v2.0.161 (November 09, 2012)
* `BufferUnderflowException` solved
* `IllegalStateException`: "invalid dimension of return values" solved
* French accents are now displayed correctly
* Content of the compared PDF files were not displayed in the i-net PDFC GUI for some landscape pages

##### v2.0.143 (October 22, 2012)
* Fix for scaled font sizes and font colors
* Fix for Type3-Fonts with embedded images
* Fix for the PDF 'carriage return' command

##### v2.0 (August 27, 2012)
* Several bug fixes to conform strict and loose compare mode

##### v2.0 Beta (July 31, 2012)
* Fix for 'div zero' error in pattern type 1
* Fix for PDFs with corrupt kerning data
* Fix for `ParserException` due to incorrect CCITT image decoding

[bugfixes:de]

##### v2.5.155 (12. November 2013)
* Die Entschlüsselung von PDF-Dateien mit Zugriffsrechten wird mit Revision 4 und Version 4 auf Standard-Verschlüsselungsfilter erweitert. `IllegalArgumentException`: Parsen von verschlüsselten PDF-Dateien wird nicht unterstützt ist dabei aufgetreten.

##### v2.5.135 (23. Oktober 2013)
* `IllegalArgumentException`: Unknown encoding: StandardEncoding aufgetreten.

##### v2.5.130 (18. Oktober 2013)
* `UnsupportedOperationException`: ps-Befehl: add

##### v2.5.113 (01. Oktober 2013)
* `"PDFParseException`: Nicht unterstützter Shader-Typ: 4" aufgetreten.

##### v2.5.98 (16. September 2013)
* "UnsupportedClassVersionError" trat auf, wenn die Java-API oder Befehlszeilenversion mit Java 6 verwendet wurde.

##### v2.5.92 (10. September 2013)
* Die Ausnahme 'Illegal Capacity' trat zufällig bei Seiten mit einer großen Anzahl von Zeilen auf.

##### v2.5.78 (27. August 2013)
* CompareTwoFilesWithCustomHandler - Das Verzeichnis Differences wurde nach dem Vergleich gelöscht.
* `NullPointerException` trat auf, wenn ein erforderlicher Wert in der Schriftbeschreibung fehlte.

##### v2.5.64 (August 13, 2013)
* `java.awt.color.CMMException`: Invalid profile data occurred.
* Die Differenzbeschreibung enthält die falsche Seitenzahl, wenn es eine Textersetzung mit gleichen Grenzen, aber auf verschiedenen Seiten gibt.
* Der Dateiname in der Differenzzusammenfassung auf der Konsole war begrenzt.
* Textverkettungsfehler trat manchmal in der Nähe von Satzzeichen auf. 

##### v2.5.7 (17. Juni 2013)
* Verschiedene Korrekturen für eingebettete Schriftarten, insbesondere Type1C

##### v2.2.14 (15. April 2013)
* Folgende Ausnahmen wurden behoben:
  * `UnsupportedOperationException`: ps command dup
  * `RuntimeException`: ungültige Referenz: null
  * `IllegalArgumentException`: Unbekannte Kodierung: SymbolSetEncoding
  * `ArrayIndexOutOfBoundsException`
  * `BufferUnderflowException`
  * `PDFParseException`: Datenformat-Ausnahme: falsche Header-Prüfung
* Es war nicht möglich, PDF-Dateien über die Kommandozeile mit runPDFC.bat zu vergleichen.
* Das Scrolling-Verhalten in der GUI war falsch, wenn die verglichenen PDF-Dateien unterschiedliche Längen hatten.

##### v2.1.38 (18. Januar 2013)
* `PDFParseException`: Unbekannter Befehl: Qq
* Unterschiede im Wasserzeichen von PDF-Dateien wurden nicht hervorgehoben.
* Verschiedene Fehler in der GUI wurden behoben.

##### v2.1.7 (18. Dezember 2012)
* `NullPointerException` in PDFFontEncoding aufgetreten

##### v2.0.161 (November 09, 2012)
* `BufferUnderflowException` gelöst
* `IllegalStateException`: "invalid dimension of return values" behoben
* Französische Akzente werden nun korrekt angezeigt
* Inhalte der verglichenen PDF-Dateien wurden in der i-net PDFC GUI für einige Querformat-Seiten nicht angezeigt

##### v2.0.143 (22. Oktober 2012)
* Fix für skalierte Schriftgrößen und Schriftfarben
* Fix für Type3-Fonts mit eingebetteten Bildern
* Korrektur für den PDF-Befehl 'Wagenrücklauf'

##### v2.0 (27. August 2012)
* Verschiedene Fehlerkorrekturen zur Anpassung des strengen und losen Vergleichsmodus

##### v2.0 Beta (Juli 31, 2012)
* Fix für 'div zero' Fehler in Pattern Typ 1
* Fix für PDFs mit beschädigten Kerning-Daten
* Behebung der `ParserException` aufgrund einer fehlerhaften CCITT-Bilddekodierung

[security]

[security:de]
